<template>
	<view class="minePage-wrapper">
		<view class="fixed-box colCen" style="background:#0f0f0f">
			<view class="topbarbox"></view>
			<view class="navigate-container rowCenBet">
				<view class="setting-box" style="opacity: 0;">
					&#xe74b;
				</view>
				<view class="pagetitle" v-if="sct>0.5">
					个人中心
				</view>
				<view class="setting-box iconfont" @tap="goPage('./setting/setting')">
					&#xe74b;
				</view>
			</view>
		</view>
		<view class="headerbox-container colCen">
			<view class="topbarbox"></view>
			<view class="headerbox-container rowCenEnd borderBox">
			</view>
			<view class="userInfo-content rowStaBet borderBox">
				<view class="leftuserInfo rowCen">
					<view class="head-content defIcon">
						<image  :src="user.avatar" mode="aspectFill"></image>
						<view class="vipcard rowCenCen">
							<view>{{user.level_name}}</view>
						</view>
					</view>
					<view class="userName-inviteCode-container">
						<view class="userNamebox">
							{{user.nickname}}
						</view>
						<view class="under-container rowCen">
							<view class="inviteCodebox rowCen" @tap='setcode()'>
								{{user.invitation_code?'邀请码:' + user.invitation_code:'点击填写邀请码'}}
							</view>
							<view class="clipbtn" @tap="clipCode()" v-if="user.invitation_code">
								<view>复制</view>
							</view>
						</view>
					</view>
				</view>
			</view>
		</view>
		<view class="mine-under-container colCen borderBox">
		
			<!-- <view class="swiper-container borderBox" v-if="bannerList.length>0">
				<swiper class="banerContent" :autoplay="true" :interval="3000" :duration="1000" circular>
					<swiper-item v-for="(items,index) in bannerList" :key="index" @tap="goUrl(items)">
						<view class="swiper-items defIcon">
							<image :src="items.image" mode="aspectFit"></image>
						</view>
					</swiper-item>
				</swiper>
			</view> -->
			
			<view class="setting-wrapper wrapperLayer colCen">
				
				<view class="body-container colCen">
					<view class="userSet-content infoContainer colCen">
						<view v-for="(items,index) in alllist" :key="index" class="keyvalueBox rowCenBet borderBox" @tap="goUrl(items)">
							<view class="leftKey">
							<view style="margin-right: 40rpx;"><image style="width: 60rpx;height: 60rpx;" :src="items.image" mode="aspectFill"></image></view>
								
								{{items.mname}}
							</view>
							<view class="rightvalue rowCen">
								<view class="arrow-icon defIcon">
									<image src="@/static/images/goods/arrow.png" mode=""></image>
								</view>
							</view>
						</view>
						</view>
						</view>
			</view>
			<u-toast ref="uToast" />
			
			<u-popup v-model="inviteCodeShow" mode="center" border-radius="32" :mask-close-able='true'>
				<inviteCodeModel @closeModel='closeinvite' @confirm='nextStep'></inviteCodeModel>
			</u-popup>
			
			<u-popup v-model="inviterShow" mode="center" border-radius="32" v-if="inviterShow" :mask-close-able='true'>
				<inviter-model ref='invitermodel' @rewrite='rewriteCode' @setInvite='setCodebtn'></inviter-model>
			</u-popup>
		</view>
	</view>
</template>

<script>
	import {
		mapMutations
	} from "vuex";
	import util from '@/utils/utils.js'
	import APPUpdate from "@/utils/appUpdate.js";
	import inviteCodeModel from '@/components/inviteCode.vue'
	import inviterModel from '@/components/inviterModel.vue'
	export default {
		props: {
			
		},
		components: {
			inviteCodeModel,
			inviterModel
		},
		data() {
			return {
				user: '',
				appInfo: '',
				dingdanList: '',
				wuLiaoList: '',
				bannerList: '',
				cygnList: '',
				xstgList: '',
				gongJuList: '',
				profit: '',
				platform: '',
				showtar: false,
				bbcList:'',
				sct: 0,
				inviteCodeShow:false,
				inviterShow:false,
				alllist:[]
			}
		},
		onPageScroll(e) {
			if (e.scrollTop < 50) {
				this.sct = e.scrollTop / 20
			}
		},
		onPullDownRefresh()
		{
			this.getuserInfo();
			this.centerInfo();
			this.getmoneyInfo();
			this.getInit();
			uni.stopPullDownRefresh();
		},		
		created() {
			if(!this.hasLogin){
				uni.reLaunch({
					url:"/pages/login/wxlogin"
				})
			}else{
				//getApp().watch(this.ifwtChange,'ifwt')
				this.centerInfo()
				this.getbanner()
			}
			if(this.hasLogin){
				this.getInit();
				this.getmoneyInfo()
				this.getuserInfo()
			}
		},
		methods: {
			getInit()
			{
				if(!getApp().globalData.hasinit)
				{
					getApp().getAppInfo();
					setTimeout(()=>{
						this.getInit();
					},2000)
				}
				
			    // #ifdef APP-PLUS
				console.log(getApp().globalData.ifwt)
				this.appInfo = uni.getStorageSync('appInfo');
				this.showtar = getApp().globalData.ifwt == 1 ? false : true;
				this.platform = plus.os.name
				// #endif
			},
			getmoneyInfo() {
				var that = this;
				this.$u.api.getEstimateAmount({}).then(e => {
					if(e.code == 1)return that.$alert(e.msg);
					this.profit = e.data;
				}).catch(function (err) {
				})
			},
			golevelRules() {
			 uni.navigateTo({
			   url: '../goods/privilege'
			 })
			},
			getuserInfo() {
				var that = this;
				this.$u.api.getUserInfo({}).then(e => {
					that.user = e.data.userinfo;
					util.setCache('userInfo', e.data.userinfo)
				}).catch(function (err) {
					console.log(err)
				})
			},
			getbanner() {
				// banner数据
				var that = this;
				this.$u.api.getBanner({type:'2'}).then(e => {
					if(e.code == 1)return that.$alert(e.msg);
					console.log(e.data.info)
					that.bannerList = e.data.info;
				}).catch(function (err) {
				})
			},

			centerInfo() {
				  this.user = uni.getStorageSync('userInfo');
				var that = this;
				this.$u.api.userHomemenu({}).then(e => {
					var res = e.data.list;
					console.log(res);
					that.cygnList = res.cygnList
					that.xstgList = res.xstgList
					that.gongJuList = res.gongJuList
					that.dingdanList = res.dingdanList
					that.wuLiaoList = res.wuLiaoList
					that.alllist=res.gongJuList;
				}).catch(function (err) {
						console.log(err);
				})
				// this.$http.post('homeMenu/getPersonalCenter').then(res => {
				// 	console.log(res,'数据sssssssssssss');
				// 	this.dingdanList = res.dingdanList
				// 	this.wuLiaoList = res.wuLiaoList
				// 	this.wuLiaoList = res.wuLiaoList
				// 	this.cygnList = res.cygnList
				// 	this.xstgList = res.xstgList
				// 	this.gongJuList = res.gongJuList
				// })
			},

			clipCode() {
				uni.setClipboardData({
					data: this.user.invitation_code,
					success: () => {
						uni.showToast({
							title: '复制成功',
							duration: 2000,
							icon: "none"
						})
						uni.setStorageSync('clipboard', this.user.invitation_code);
					}
				})
			},

			goPage(url) {
				console.log(url);
				if (url == './inviteFriends' && !this.user.invitation_code) {
					this.inviteCodeShow = true
				} else {
					uni.navigateTo({
						url: url
					})
				}
			},

			goUrl(info) {
				console.log(info)
				if(info.url_type == 15)
				{//微信客服
					let wechat = null
					let parameter = info.parameter_json;
					plus.share.getServices(res => {
						wechat = res.find(i => i.id === 'weixin')
						if (wechat) {
							wechat.openCustomerServiceChat({
								corpid: parameter.cmark, //企业ID
								url: parameter.url, //客服地址
							}, src => {
								console.log("success:", JSON.stringify(src))
							}, err => {
								console.log("error:", JSON.stringify(err))
							})
						} else {
							uni.showToast({
								title: '当前环境不支持微信操作',
								icon: "error"
							});
						}
					}, function() {
						uni.showToast({
							title: "获取服务失败，不支持该操作。" + JSON.stringify(e),
							icon: 'none'
						})
						});
				}
				else
				{
					util.goUrl(info,this)
				}
				
			},
			cpr_version(a, b) {
				console.log(a);
				var _a = this.toNum(a),
					_b = this.toNum(b);
				if (_a == _b) return false
				if (_a < _b) return false
				if (_a > _b) return true
			},
			
			toNum(a) {
				var a = a.toString();
				//也可以这样写 var c=a.split(/\./);
				var c = a.split('.');
				var num_place = ["", "0", "00", "000", "0000"],
					r = num_place.reverse();
				for (var i = 0; i < c.length; i++) {
					var len = c[i].length;
					c[i] = r[len] + c[i];
				}
				var res = c.join('');
				return res;
			},
			
			shareApp() {
				// #ifdef APP-PLUS
				var txtdata
				if (plus.os.name == 'Android') {
					txtdata = getApp().globalData.appinfo.appName + '的下载链接为：' + getApp().globalData.appinfo.appAndroidDownUrl +
						'\n邀请码：' + this.user.inviteCode
				} else {
					txtdata = getApp().globalData.appinfo.appName + '的下载链接为：' + getApp().globalData.appinfo.appIosDownUrl + '\n邀请码：' +
						this.user.inviteCode
				}
				uni.setClipboardData({
					data: txtdata,
					success: res => {
						console.log(res)
						uni.showToast({
							title: '下载链接已复制~快去分享给好友吧！',
							icon: 'none'
						})
						uni.setStorageSync('clipboard', txtdata);
					}
				});
				// #endif
			},

			setcode() {
				if (this.user.invitation_code == '' && this.user) {
					this.inviteCodeShow = true
				}
			},
			closeinvite(){
				this.inviteCodeShow = false
			},
			nextStep(e){
				uni.setStorageSync('inviterInfo',e)
				this.inviteCodeShow = false
				this.inviterShow = true
			},
			rewriteCode(){
				this.inviteCodeShow = true
				this.inviterShow = false
			},
			setCodebtn(){
				this.inviteCodeShow = false
				this.inviterShow = false
				this.getuserInfo()
			}
		}
	}
</script>

<style lang="scss">
	.minePage-wrapper {
		width: 100%;
		.fixed-box {
			position: fixed;
			width: 100%;
			z-index: 1000;

			.navigate-container {
				width: 100%;
				height: 90rpx;
				padding: 0 30rpx;

				.setting-box {
					font-size: 34rpx;
					color: #FFFFFF;
				}

				.pagetitle {
					font-size: 32rpx;
					color: #FFFFFF;
					font-weight: 500;
				}
			}
		}

		.headerbox-container {
			width: 100%;
			height: 426rpx;
			position: relative;
			background: #0f0f0f;

			.headerbox-container {
				width: 100%;
				height: 90rpx;
				padding: 0 32rpx;
			}

			.userInfo-content {
				width: 100%;

				.leftuserInfo {
					margin-left: 30rpx;

					.head-content {
						width: 115rpx;
						height: 115rpx;
						position: relative;

						.vipcard {
							position: absolute;
							width: 100%;
							height: 36rpx;
							border-radius: 18rpx;
							background: linear-gradient(0deg, #F7C394, #EFE0D6);
							font-size: 22rpx;
							font-weight: 500;
							color: #613309;
							bottom: -15rpx;
						}

						image {
							border-radius: 50%;
						}
					}

					.userName-inviteCode-container {
						margin-left: 25rpx;

						.userNamebox {
							font-size: 34rpx;
							font-weight: bold;
							color: #FFFFFF;
						}

						.under-container {
							margin-top: 20rpx;

							.inviteCodebox {
								height: 36rpx;
								font-size: 28rpx;
								font-weight: 400;
								color: #0f0f0f;
								padding: 0 18rpx;
								background: #fff;
								border-radius: 18rpx;
							}

							.clipbtn {
								width: 80rpx;
								height: 36rpx;
								background: #FFFFFF;
								border-radius: 18rpx;
								text-align: center;
								font-size: 24rpx;
								font-weight: 400;
								color: #0f0f0f;
								margin-left: 20rpx;
							}
						}
					}
				}

				.inviteBtn {
					width: 176rpx;
					height: 44rpx;
					background: #E457FD;
					border-radius: 22rpx 0px 0px 22rpx;
					font-size: 24rpx;
					font-weight: 500;
					color: #FFFFFF;
					margin-top: 30rpx;
				}
			}

			.profit-container {
				width: 100%;
				margin-top: 70rpx;

				.profit-items {
					width: 25%;
					color: #FFFFFF;

					.price-num {
						font-size: 28rpx;
						font-weight: bold;
					}

					.price-txt {
						font-size: 24rpx;
						font-weight: 500;
					}
				}
			}

			.account-assets-container {
				width: 100%;
				padding: 0 30rpx;
				position: absolute;
				bottom: -65rpx;

				.cardBac-container {
					width: 100%;
					height: 126rpx;
					background: linear-gradient(4deg, #FEEEE1, #FBE0CF);
					border-radius: 16rpx;
					padding: 0 20rpx;

					.left-content {
						margin-top: 25rpx;

						.balance {
							font-size: 28rpx;
							font-weight: 500;
							color: #613309;
						}

						.notice-bar {
							margin-top: 10rpx;

							.iconfont {
								font-size: 28rpx;
								font-weight: 500;
								color: #613309;
							}

							.noticeTxt {
								max-width: 505rpx;
								overflow: hidden;
								text-overflow: ellipsis;
								white-space: nowrap;
								font-size: 24rpx;
								font-weight: 500;
								color: #613309;
								margin-left: 20rpx;
							}
						}
					}

					.right-content {
						margin-top: 18rpx;

						.cashOut-btn {
							width: 120rpx;
							height: 50rpx;
							background: #2F385B;
							border-radius: 25rpx;
							font-size: 26rpx;
							font-weight: 500;
							color: #FFFFFF;
						}

						.accumulations {
							font-size: 22rpx;
							font-weight: 500;
							color: #613309;
							margin-top: 20rpx;
							line-height: 20rpx;

							.arrow {
								font-size: 18rpx;
								line-height: 20rpx;
								margin-top: 5rpx;
							}
						}
					}
				}
			}
		}
		.vip-info-container {
		  width: 100%;
		  height: 60rpx;
		  background: #FFF2CF;
		 border-radius: 16rpx;
		  padding: 0 20rpx;
		  margin-bottom: 20rpx;
		
		  .left-info {
		    font-size: 24rpx;
		    font-weight: 500;
		    color: #593A0F;
		  }
		
		  .rt-btn {
		    width: 152rpx;
		    height: 44rpx;
		    background-color: rgba(0, 0, 0, 0.6);
		    border-radius: 22rpx;
		
		    .vipimg {
		      width: 27rpx;
		      height: 24rpx;
		    }
		
		    .level-txt {
		      font-size: 24rpx;
		      font-weight: 500;
		      color: #FFFFFF;
		      margin-left: 10rpx;
		    }
		  }
		}
		.mine-under-container {
			width: 100%;
			margin-top: 0rpx;
			padding: 0 30rpx;

			.nav-container {
				width: 100%;
				height: 142rpx;
				background: #FFFFFF;
				border-radius: 16rpx;
				padding: 0 26rpx;
				margin-bottom: 20rpx;

				.nav-items {
					.itemsicon {
						width: 60rpx;
						height: 60rpx;
					}

					.itemstxt {
						font-size: 24rpx;
						font-weight: 500;
						color: #333333;
						margin-top: 15rpx;
					}
				}
			}

			.swiper-container {
				width: 100%;
				margin-bottom: 20rpx;

				.banerContent {
					width: 100%;
					height: 180rpx;

					.swiper-items {
						width: 100%;
						height: 100%;
					}
				}
			}

			.matter-tranform-container {
				width: 100%;
				height: 140rpx;
				background: #FFFFFF;
				border-radius: 16rpx;
				margin-bottom: 20rpx;

				.pushing-matter {
					.leftIteminfo {
						color: #333333;

						.itemName {
							font-size: 30rpx;
							font-weight: bold;
						}

						.itemexplain {
							font-size: 24rpx;
							font-weight: 500;
						}
					}
				}

				.centerBorder {
					width: 2rpx;
					height: 92rpx;
					background: #F1F1F1;
					margin: 0 60rpx;
				}
			}

			.commonFunctions-container {
				width: 100%;
				background-color: #FFFFFF;
				border-radius: 16px;
				margin-bottom: 20rpx;

				.card-title {
					width: 100%;
					padding: 0 28rpx;
					font-size: 30rpx;
					font-weight: bold;
					margin: 30rpx 0;
					color: #333333;
				}

				.function-list {
					width: 100%;
					flex-wrap: wrap;

					.function-items {
						width: 25%;
						margin-bottom: 30rpx;

						.iconbox {
							width: 60rpx;
							height: 60rpx;
						}

						.itemName {
							margin-top: 20rpx;
							font-size: 24rpx;
							font-weight: 500;
							color: #333333;
						}
					}
				}
			}
		}
	}
	
	.setting-wrapper {
		.body-container {
			width: 100%;
			margin-top: 20rpx;
	
			.infoContainer {
				width: 100%;
				background-color: #FFFFFF;
	
				.keyvalueBox {
					width: 100%;
					height: 100rpx;
					border-bottom: 1rpx solid #F2F2F2;
					padding: 0 30rpx;
	
					.leftKey {
						font-size: 28rpx;
						font-weight: 500;
						color: #333333;
						display:flex;
						align-items:center;
	
						span {
							font-size: 24rpx;
							font-weight: 500;
							color: #999999;
						}
					}
	
					.rightvalue {
						.rightText {
							font-size: 24rpx;
							font-weight: 400;
							color: #999999;
							margin-right: 15rpx;
						}
	
						.arrow-icon {
							width: 10rpx;
							height: 18rpx;
						}
					}
				}
			}
	
			.logOut {
				width: 100%;
				height: 100rpx;
				margin-top: 20rpx;
				background-color: #FFFFFF;
	
				.outText {
					font-size: 28rpx;
					font-weight: 500;
					color: #333333;
				}
			}
		}
	}
</style>
